proxy-providers: {智连云: {interval: 600, url: 'https://xinzhilian.co/api/v1/client/subscribe?token=e5b24aa188a6c7837aae62c37cae667d', filter: '^(?!.*(流量|下载|官网|更新|套餐|续费|电信|文档)).*$'}, 蜂群: {interval: 600, url: 'https://yui.fengqun.me/api/v1/client/subscribe?token=2ea475f058e1cf059372308eb845e8df', filter: '^(?!.*(流量|下载|官网|更新|套餐|续费|电信|文档)).*$'}, M78星云: {interval: 600, url: 'https://api.wcc.best/sub?target=clash&url=https%3A%2F%2Fsub.m78sc.cn%2Fapi%2Fv1%2Fclient%2Fsubscribe%3Ftoken%3D8d319583cd63b84463454fc1443f9448&insert=false&config=https%3A%2F%2Fraw.githubusercontent.com%2FACL4SSR%2FACL4SSR%2Fmaster%2FClash%2Fconfig%2FACL4SSR_Online.ini&emoji=true&list=true&tfo=false&scv=true&fdn=false&expand=true&sort=false&new_name=true', filter: '^(?!.*(流量|下载|官网|更新|套餐|续费|电信|文档)).*$'}}
proxy-groups:
  # 功能分组
  - name: Proxy
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Proxy.png
    type: select
    proxies: &proxies
      - 自动选择
      - HK 香港
      - TW 台湾
      - 蜂群Auto
      - 智连云Auto
      - M78星云Auto
      - 手动选择
      - JP 日本
      - SG 新加坡
      - KR 韩国
      - US 美国
    lazy: true
    interval: 300
  - name: Netflix
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Netflix.png
    type: select
    proxies:
      - HK 香港
      - TW 台湾
      - SG 新加坡
      - 蜂群
      - 智连云
      - M78星云
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Static.png
    name: Trae和Cursor
    proxies: null
    type: select
    include-all: true
    filter: '.*'
    use:
      - 智连云
      - 蜂群
      - M78星云
  - name: Claude
    proxies:
      - Proxy
      - DIRECT
      - HK 香港
      - TW 台湾
      - JP 日本
      - KR 韩国
      - US 美国
      - SG 新加坡
    type: select
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Static.png
    filter: 'null'
    include-all: null
    use: null
  - name: Jetbrains
    proxies: null
    type: select
    filter: '(香港|港|🇭🇰|HK|(?i)Hong\s?Kong|(?i)HongKong|台湾|台灣|台|🇹🇼|TW|(?i)Taiwan|日本|日|🇯🇵|JP|(?i)Japan|韩国|韓國|韩|韓|🇰🇷|KR|(?i)Korea|(?i)South\s?Korea|美国|美國|美|🇺🇸|US|USA|(?i)United\s?States|(?i)America|新加坡|坡|🇸🇬|SG|SGP|(?i)Singapore) '
    use: null
    lazy: true
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Static.png
    include-all: true
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Static.png
    include-all: true
    name: 手动选择
    type: select
    use: null
  - name: YouTube
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/YouTube.png
    type: select
    proxies:
      - Proxy
      - 蜂群
      - 智连云
      - M78星云
      - HK 香港
      - TW 台湾
      - JP 日本
      - KR 韩国
      - US 美国
      - SG 新加坡
  - name: 蜂群
    type: select
    use:
      - 蜂群
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Proxy.png
  - name: 智连云
    type: select
    use:
      - 智连云
    lazy: true
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Proxy.png
  - name: M78星云
    type: select
    use:
      - M78星云
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Proxy.png
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Steam.png
    name: Steam
    type: select
    proxies:
      - Proxy
      - DIRECT
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Microsoft.png
    name: Microsoft
    proxies:
      - Proxy
      - DIRECT
    type: select
  - name: Disney+
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Disney%2B.png
    type: select
    proxies:
      - 国家选择
      - 自动选择
    hidden: null
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/bilibili.png
    name: Bilibili
    type: "select"
    proxies:
      - DIRECT
      - Proxy
      - HK 香港
      - TW 台湾
      - JP 日本
      - US 美国
      - 手动选择
  - name: Spotify
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Spotify.png
    type: select
    proxies:
      - 自动选择
      - 国家选择
    hidden: null
  - name: Apple Direct
    proxies:
      - Proxy
      - DIRECT
    type: select
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Apple.png
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Apple.png
    name: Apple Proxy
    type: select
    proxies:
      - Proxy
      - DIRECT
      - TW 台湾
      - HK 香港
      - JP 日本
      - KR 韩国
      - US 美国
      - SG 新加坡
  - name: Apple Music
    proxies:
      - DIRECT
      - Proxy
      - US 美国
    type: select
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Apple_Music.png
  - name: iCloud Direct
    proxies:
      - Proxy
      - DIRECT
    type: select
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/iCloud.png
  - name: Speedtest
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Speedtest.png
    type: select
    proxies:
      - Proxy
      - DIRECT
    hidden: null
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Global.png
    name: 国家选择
    proxies:
      - TW 台湾
      - HK 香港
      - JP 日本
      - US 美国
      - SG 新加坡
    type: select
  - name: 自动选择
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Auto.png
    interval: 60
    lazy: null
    tolerance: 100
    type: url-test
    include-all: null
    use:
      - 智连云
      - 蜂群
      - M78星云
  # 基于地区分组
  - name: HK 香港
    filter: "澳门|🇲🇴|港|🇭🇰|HK|(?i)Hong"
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Hong_Kong.png
    interval: 300
    lazy: true
    tolerance: 50
    type: url-test
    include-all: null
    use:
      - M78星云
      - 蜂群
      - 智连云
  - name: TW 台湾
    filter: "台|🇹🇼|湾|TW|(?i)Taiwan"
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Taiwan.png
    interval: 300
    lazy: true
    tolerance: 100
    type: url-test
    include-all: null
    use:
      - M78星云
      - 蜂群
      - 智连云
  - name: JP 日本
    filter: "日|🇯🇵|东京|JP|(?i)Japan"
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Japan.png
    interval: 300
    lazy: true
    tolerance: 100
    type: url-test
    include-all: null
    use:
      - M78星云
      - 蜂群
      - 智连云
  - filter: 韩|🇰🇷|KR|(?i)Korean
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Korea.png
    include-all: null
    interval: 300
    name: KR 韩国
    type: "url-test"
    tolerance: 100
    lazy: true
    use:
      - 蜂群
      - 智连云
  - name: US 美国
    filter: "美|🇺🇲|US|(?i)States|America"
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/United_States.png
    interval: 300
    lazy: true
    tolerance: 100
    type: url-test
    include-all: null
    use:
      - M78星云
      - 蜂群
      - 智连云
  - name: SG 新加坡
    filter: "新加坡|坡|狮城|🇸🇬|SG"
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Singapore.png
    interval: 300
    lazy: true
    tolerance: 100
    type: url-test
    include-all: null
    use:
      - M78星云
      - 蜂群
      - 智连云
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Auto.png
    name: 智连云Auto
    type: url-test
    use:
      - 智连云
    interval: 300
    lazy: true
    tolerance: 100
  - icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Auto.png
    name: 蜂群Auto
    type: url-test
    use:
      - 蜂群
    interval: 300
    lazy: true
    tolerance: 100
  - name: M78星云Auto
    type: url-test
    use:
      - M78星云
    interval: 300
    lazy: true
    tolerance: 100
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Auto.png
  - name: 默认
    icon: https://fastly.jsdelivr.net/gh/Koolson/Qure/IconSet/Color/Final.png
    type: select
    proxies:
      - Proxy
      - DIRECT
rules:
  - DOMAIN-KEYWORD,netflav,Proxy
  - DOMAIN-KEYWORD,chatshare,DIRECT,no-resolve
  - DOMAIN-SUFFIX,flvpay.com,Proxy,no-resolve
  - DOMAIN-KEYWORD,cursor,Trae和Cursor,no-resolve
  - PROCESS-NAME,Cursor Helper,Trae和Cursor,no-resolve
  - PROCESS-NAME,SetappAgent,Proxy
  - DOMAIN-SUFFIX,aihubmix.com,Proxy
  - RULE-SET,Claude,Claude
  - PROCESS-NAME,Trae,Trae和Cursor,no-resolve
  - PROCESS-NAME,Trae Helper,Trae和Cursor,no-resolve
  - DOMAIN-KEYWORD,trae,Trae和Cursor,no-resolve
  - IP-CIDR,39.129.76.0/24,DIRECT,no-resolve
  - DOMAIN,qx.ynydtk.cn,DIRECT
  - DOMAIN,fast.com,Netflix
  - DOMAIN-KEYWORD,nextchat,Proxy
  - DOMAIN-KEYWORD,qx,DIRECT,no-resolve
  - DOMAIN-KEYWORD,ydtk,DIRECT,no-resolve
  - DOMAIN-KEYWORD,readthedocs,Proxy
  - DOMAIN-KEYWORD,docker,Proxy,no-resolve
  - RULE-SET,Docker,Proxy,no-resolve
  - DOMAIN-KEYWORD,dingtalk,DIRECT,no-resolve
  - PROCESS-NAME,钉钉,DIRECT,no-resolve
  - DOMAIN-KEYWORD,feishu,DIRECT,no-resolve
  - DOMAIN-KEYWORD,askmanyai,DIRECT,no-resolve
  - DOMAIN-KEYWORD,ocoolai,Proxy
  - DOMAIN-KEYWORD,steam,Proxy
  - DOMAIN-KEYWORD,dyxcloud,DIRECT
  - RULE-SET,Direct,DIRECT # Direct
  - RULE-SET,CN Direct,DIRECT
  - PROCESS-NAME,QQMusic,DIRECT
  - PROCESS-NAME,QQ音乐,DIRECT
  - PROCESS-NAME,Fleet,Jetbrains
  - GEOIP,CN,DIRECT
  - PROCESS-NAME,南网eLink,DIRECT
  - DOMAIN-SUFFIX,dedegpt.vip,DIRECT
  - PROCESS-NAME,ASM,DIRECT
  - DOMAIN-SUFFIX,csg.cn,DIRECT
  - PROCESS-PATH,/Applications/DingTalk,DIRECT
  - PROCESS-PATH,/Applications/DingTalk.app,DIRECT
  - PROCESS-NAME,钉钉,DIRECT
  - PROCESS-NAME,WebStorm,Jetbrains
  - PROCESS-NAME,PyCharm,Jetbrains
  - DOMAIN-KEYWORD,password,Proxy
  - GEOSITE,openai,Proxy
  - GEOSITE,gitee,DIRECT
  - GEOSITE,jetbrains,Jetbrains
  - GEOSITE,jetbrains-ai,Jetbrains
  - GEOSITE,notion,Proxy
  - DOMAIN-KEYWORD,notion,Proxy
  - RULE-SET,iCloud Direct,iCloud Direct
  - RULE-SET,Apple Proxy,Apple Proxy
  - RULE-SET,GFW Rules,Proxy
  - RULE-SET,BiliBili,Bilibili
  - RULE-SET,Non CN Domain,Proxy
  - RULE-SET,Apple Direct,Apple Direct
  - RULE-SET,iCloud Direct,DIRECT
  - RULE-SET,Private,DIRECT
  - GEOSITE,google,Proxy,no-resolve
  - RULE-SET,AD Reject,REJECT
  - SCRIPT,quic,DIRECT
  - GEOSITE,netflix,Netflix
  - GEOSITE,disney,Disney+
  - GEOSITE,spotify,Spotify
  - GEOSITE,speedtest,Speedtest
  - GEOSITE,github,Proxy,no-resolve
  - DOMAIN-KEYWORD,github,Proxy,no-resolve
  - PROCESS-NAME,Telegram.exe,Proxy
  - PROCESS-NAME,Telegram,Proxy
  - GEOSITE,telegram,Proxy
  - GEOSITE,youtube,YouTube
  - GEOSITE,twitter,Proxy
  - DOMAIN-SUFFIX,tapbots.com,Proxy
  - GEOSITE,instagram,Proxy
  - GEOSITE,facebook,Proxy
  - GEOSITE,steam@cn,Proxy
  - GEOSITE,steam,Proxy
  - DOMAIN-SUFFIX,iphone-ld.apple.com,DIRECT
  - DOMAIN-SUFFIX,lcdn-locator.apple.com,DIRECT
  - DOMAIN-SUFFIX,lcdn-registration.apple.com,DIRECT
  - DOMAIN-SUFFIX,push.apple.com,DIRECT
  - PROCESS-NAME,trustd,Proxy
  - GEOSITE,microsoft@cn,Microsoft
  - GEOSITE,microsoft,Microsoft
  - GEOSITE,xbox,Proxy
  - RULE-SET,Global,Proxy,no-resolve
  # common proxy utils
  - PROCESS-NAME,v2ray,DIRECT
  - PROCESS-NAME,Surge,DIRECT
  - PROCESS-NAME,ss-local,DIRECT
  - PROCESS-NAME,privoxy,DIRECT
  - PROCESS-NAME,trojan,DIRECT
  - PROCESS-NAME,trojan-go,DIRECT
  - PROCESS-NAME,naive,DIRECT
  - PROCESS-NAME,CloudflareWARP,DIRECT
  - PROCESS-NAME,Cloudflare WARP,DIRECT
  - IP-CIDR,162.159.193.0/24,DIRECT,no-resolve # 	cloudflare.com的IP地址
  - PROCESS-NAME,p4pclient,DIRECT
  - PROCESS-NAME,Thunder,DIRECT
  - PROCESS-NAME,DownloadService,DIRECT
  - PROCESS-NAME,qbittorrent,DIRECT
  - PROCESS-NAME,Transmission,DIRECT
  - PROCESS-NAME,fdm,DIRECT
  - PROCESS-NAME,aria2c,DIRECT
  - PROCESS-NAME,Folx,DIRECT
  - PROCESS-NAME,NetTransport,DIRECT
  - PROCESS-NAME,uTorrent,DIRECT
  - PROCESS-NAME,WebTorrent,DIRECT
  - MATCH,Proxy
script:
  shortcuts:
    quic: network == 'udp' and dst_port == 443
log-level: debug
mode: rule
subscribe-url: null
rule-providers:
  Direct:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt
  iCloud Direct:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/icloud.txt
  AD Reject:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/reject.txt
  Private:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/private.txt
  Apple Direct:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/apple.txt
  'GFW Rules':
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/gfw.txt
  Non CN Domain:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/tld-not-cn.txt
  LAN:
    behavior: ipcidr
    format: yaml
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/lancidr.txt
  CN Direct:
    behavior: ipcidr
    format: yaml
    interval: 600
    url: https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/cncidr.txt
  BiliBili:
    behavior: classical
    format: yaml
    interval: 600
    url: https://cdn.jsdelivr.net/gh/blackmatrix7/ios_rule_script@master/rule/Clash/BiliBili/BiliBili.yaml
  Apple Proxy:
    behavior: classical
    format: yaml
    interval: 600
    url: https://cdn.jsdelivr.net/gh/blackmatrix7/ios_rule_script@master/rule/Clash/AppleProxy/AppleProxy.yaml
  Apple Music:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/blackmatrix7/ios_rule_script@master/rule/Shadowrocket/AppleMusic/AppleMusic.list
  Global:
    behavior: domain
    format: text
    interval: 600
    url: https://cdn.jsdelivr.net/gh/blackmatrix7/ios_rule_script@master/rule/Clash/Global/Global_Domain.txt
  Docker:
    behavior: classical
    format: yaml
    interval: 600
    url: https://cdn.jsdelivr.net/gh/blackmatrix7/ios_rule_script@master/rule/Clash/Docker/Docker.yaml
  Claude:
    behavior: classical
    format: yaml
    interval: 600
    url: https://cdn.jsdelivr.net/gh/blackmatrix7/ios_rule_script@master/rule/Clash/Claude/Claude.yaml
dns: {default-nameserver: [system, 119.29.29.29, 114.114.114.114, 223.6.6.6, 8.8.4.4, 101.6.6.6, 208.67.222.222], nameserver: ['https://dns.alidns.com/dns-query', 'https://doh.pub/dns-query', 'https://doh.opendns.com/dns-query', system], skip-cert-verify: true, follow-rule: true}
http:
  url-rewrite:
    - ^https?://(www.)?g.cn https://www.google.com 302
    - ^https?://(www.)?google.cn https://www.google.com 302
